version: "3.6"

services:
  redshift:
    build:
      context: docker/redshift
    environment:
      POSTGRES_USER: root
      POSTGRES_HOST_AUTH_METHOD: trust
      POSTGRES_DB: analytics
    volumes:
      - redshift-data:/var/lib/postgresql/data

  metabase-postgres:
    build:
      context: docker/metabase-postgres
    environment:
      POSTGRES_USER: root
      POSTGRES_HOST_AUTH_METHOD: trust
    volumes:
      - postgres-data:/var/lib/postgresql/data

  metabase:
    build:
      context: docker/metabase
    environment:
      MB_DB_TYPE: postgres
      MB_DB_PORT: 5432
      MB_DB_USER: root
      MB_DB_HOST: metabase-postgres
    volumes:
      - metabase-data:/metabase-data
    ports:
      - "3000:3000"

  time-entries-api:
    image: erikap/ruby-sinatra
    volumes:
      - ./docker/time_entries_api:/usr/src/app
    ports:
      - "3300:80"

volumes:
  redshift-data:
  postgres-data:
  metabase-data:
